D_12_gas

D_12_gas(G1$, G2$, T, P) calculates the binary diffusion coefficient for gases using the Chapmann-Enskog relation presented in Poling et al., Properties of Gases and Liquids, 5th edition, McGraw-Hill, (2000)

Inputs:

G1$ and G2$ are strings containing the names of any gases in EES data base

T and P are the temperature and pressure in the unit system indicated by the EES Unit System dialog.

Output:

D_12_gas is returned in units of [m^2/s] for SI units or [ft^2/s] for English units.

Example:

"Calculate the diffusion coefficient for water vapor in air at 25°C"

$unitSystem SI C kPa mass

T=25 [C]

P=101.3 [kPa]

G1$='water'

G2$='Air'

D=D_12_gas(G1$,G2$,T,P)

D is 2.083e-5 m^2/s. Note that the values returned from this routine are approximate and that D_12=D_21.


D_12|o_liquid

D_12|o_liquid(T, v_c1,v_c2, sigma_1, sigma_2, vis_2) provides an estimate of the diffusion coefficient of species 1 (solute) in species 2 (solvent) at infinite dilution using a modification of the Tyn and Calus method described in Poling et al., Properties of Gases and Liquids, 5th edition, McGraw-Hill, 2000.

Inputs:

T - temperature in the units specified in the EES unit system dialog

v_c1 and v_c2 critical volume of species 1 and 2 in units in either m^3/kmol (SI) or ft^3/lbmol (English) units

sigma_1 and sigma_2 are the surface tensions of species 1 and 2 in any consistent units, e.g, N/m.

vis_2 is the viscosity of the solvent (liquid) at T in units of kg/m-s (for SI) or lbm/ft-hr (for English) units

Output:

D_12|o_liquid is returned in units of m^2/s (for SI) or ft^2/s for English units.

Example:

"Determine the diffusion coefficient for methane in water at 20°C"

$unitSystem SI C kPa molar

G1$='methane'

G2$='water'

T=20 [C]

v_c1=V_crit(G1$)

v_c2=V_crit(G2$)

P_atm=Po#

T_b1=T_sat(G1$,P=P_atm)

T_b2=T_sat(G2$,P=P_atm)

sigma_1=SurfaceTension(G1$,T=T_b1)

sigma_2=SurfaceTension(G2$,T=T_b2)

vis_2=viscosity(G2$,T=T,x=0)

D=D_12|o_liquid(T, v_c1,v_c2,sigma_1,sigma_2,vis_2)

The diffusion coefficient is 1.55e-9 m^2/s